Bug 1531610 (CVE-2017-1000450) - CVE-2017-1000450 opencv: out of bounds write in functions FillUniColor and FillUniGray in opencv/modules/imgcodecs/src/utils.cpp
Summary: CVE-2017-1000450 opencv: out of bounds write in functions FillUniColor and Fi...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-1000450
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1531611 1534519
Blocks: 1531620
TreeView+ depends on / blocked
 
Reported: 2018-01-05 16:22 UTC by Laura Pardo
Modified: 2021-02-17 01:01 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-15 12:42:15 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-01-05 16:22:13 UTC
In opencv/modules/imgcodecs/src/utils.cpp, functions FillUniColor and FillUniGray do not check the input length, which can lead to an integer overflow. If the image is from remote, may lead to remote code execution or denial of service. This affects Opencv 3.3 and earlier.

[UPSTREAM BUG]
https://github.com/opencv/opencv/issues/9723

[UPSTREAM PATCH]
https://github.com/opencv/opencv/pull/9726/files

Comment 1 Laura Pardo 2018-01-05 16:22:50 UTC
Created opencv tracking bugs for this issue:

Affects: fedora-all [bug 1531611]

Comment 4 Stefan Cornelius 2018-01-15 12:42:30 UTC
Statement:

Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Red Hat Enterprise Linux 6 is now in Production 3 Phase of the support and maintenance life cycle. This has been rated as having Moderate security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.


Note You need to log in before you can comment on or make changes to this bug.